import { ChainEntity, Change, Changed, Created, EntityFilter, Person } from '@yukawa/chain-base-angular-domain';
import { Account } from '@yukawa/chain-security-angular-core';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.User <br/>
*/
export interface User extends ChainEntity, Changed, Created {
    account: Account;
    change?: Change;
    created?: Change;
    groups?: string[];
    organisationIds?: string[];
    person?: Person;
    /**
    *	@example admin
    */
    username: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.UserFilter <br/>
*/
export interface UserFilter extends EntityFilter {
    fields?: string[];
    groups?: string[];
    headers?: string[];
    organisationIds?: string[];
    personFilter?: any;
    /**
    *	@example admin
    */
    username?: string;
}
